%define perl_version %(eval "`perl -V:version`"; echo $version)
%define perl_installlib %{_libdir}/perl5/%{perl_version}/ppc-aix-thread-multi

Name:           perl-Authen-SASL
Version:        2.16
Release:        8
Summary:        SASL Authentication framework for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-SASL/
Source0:        http://www.cpan.org/authors/id/G/GB/GBARR/Authen-SASL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
# Update the function WRITE to properly handle string which is shorter than
# provided length
Patch0:         Authen-SASL-RT85294-Fix-WRITE.patch
BuildArch:      ppc 
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
#BuildRequires:  perl(Digest::HMAC)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Path)
#BuildRequires:  perl(GSSAPI)
BuildRequires:  perl(Test::More)
# May need to install inc::Module::Install module
Requires:	perl >= 5.38.2
#Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%prep
%setup -q -n Authen-SASL-%{version}
%patch0 -p1

chmod -c a-x example_pl

%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make pure_install DESTDIR=$RPM_BUILD_ROOT%{perl_installlib}
make pure_install DESTDIR=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
#mv ${RPM_BUILD_ROOT}/Authen::* ${RPM_BUILD_ROOT}%{_mandir}/man3

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc api.txt Changes example_pl
#%{perl_vendorlib}/*
%{_datadir}/perl5/vendor_perl/*
%{_datadir}/man/man3/*

%changelog
* Tue Apr 22 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 2.16-8
- Rebuild for AIX 7.1 using RPMv4.

* Fri Aug 19 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> 2.16-1
- Initial Port 
